I am under Ubuntu 16.04 LTS.

I have currently two versions of Paraview:
1. Paraview 5.0.1, installed with apt-get. It is using Python 2.7.12.
2. ParaView-5.4.1-Qt5-OpenGL2-MPI-Linux-64bit, simply expanded. It uses
Python 2.7.11.

When I use version 2 of pvpython
(~/apps/ParaView-5.4.1-Qt5-OpenGL2-MPI-Linux-64bit/bin/pvpython) I get the
error

    import readline
ImportError: No module named readline

from my ~/.pythonrc.

In version 1 of pvpython, readline resides in /usr/lib/python2.7/lib-dynload
>>> readline.__file__
'/usr/lib/python2.7/lib-dynload/readline.x86_64-linux-gnu.so'
.
In version 2 readline is not present anywhere in
~/apps/ParaView-5.4.1-Qt5-OpenGL2-MPI-Linux-64bit/

Why is this?
Can it be fixed?

PS: directory
~/apps/ParaView-5.4.1-Qt5-OpenGL2-MPI-Linux-64bit/lib/python2.7/lib-dynload
(where I expected to find readline given version 1) is empty.
Many of the modules which in version 1 reside in
/usr/lib/python2.7/lib-dynload, are present in lib/python2.7, not
in lib/python2.7/lib-dynload, in version2:

>>> import parser
>>> parser.__file__
'/home/santiago/apps/ParaView-5.4.1-Qt5-OpenGL2-MPI-Linux-64bit/lib/python2.7/parser.so'

But readline is an exception here.
_______________________________________________
Powered by www.kitware.com

Visit other Kitware open-source projects at 
http://www.kitware.com/opensource/opensource.html

Please keep messages on-topic and check the ParaView Wiki at: 
http://paraview.org/Wiki/ParaView

Search the list archives at: http://markmail.org/search/?q=ParaView

Follow this link to subscribe/unsubscribe:
https://public.kitware.com/mailman/listinfo/paraview

Reply via email to